Get the exterior side of a curtain wall

Hi,

I’m trying to reproduce this workflow to batch create elevation views with Dynamo, adapting to do it by selecting specific types of curtain walls. That’s what I’ve accomplished so far:

There’s even an adaptation to get the curtain walls from a linked file, if I must.

The problem is: sometimes walls are modeled backwards and flipped to the right orientation. When it occurs, the elevation is created in the interior face os the wall, because it is coming from a coordinate system based on start/end point of each wall. And since curtain walls do not have geometry, I can’t replicate this workflow to identify the right exterior face and go on with it.

I hope I explained correctly :thinking:. My graph is attached and the link for the test model I’m using is https://we.tl/t-CrvzHLHaUY

criarElevacoesParedesPorTipo.dyn (132.6 KB)

For the flipped walls issue:
There is and API property of a wall class that tells if it has been flipped. You can easily check it with a simple python node:

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
#The inputs to this node will be stored as a list in the IN variables.
walls = UnwrapElement(IN[0])
flipped = []
for w in walls:
	flipped.append(w.Flipped)

#Assign your output to the OUT variable.
OUT = flipped

obraz

3 Likes

This great! Thanks! But couldn’t separate in two lists to reverse the axis when needed, to place the elevation base lines at the exterior faces. I’m guessing List.FilterByBoolMask is not up to the task.

image

@maciek.glowka, thank you again. I figured it out.

Turns I was connecting the output of the python to the filter. Noobie mistake. I needed to connect the wall list to the filter, then the python output to the mask input.

Then, all I had to do was split Element.Location+ in two, to reverse the ones I needed, and join the lists later.

What is the policy to mark posts as solutions? Should I mark this one as well?

1 Like

Assemblies from Curtain Walls seems like an easier way.

Can you develop a bit more?

You can create Revit Assemblies from Curtain Walls, then create Assembly Views. Slightly different process, but try it.

1 Like

It isn’t possible to create Assemblies with curtain walls and some few other Revit components. Thanks on the tip thou.

Just in case, read this article http://revitrecess.blogspot.com/2014/11/welcome-to-my-blog-revit-alizing.html

1 Like

Is it possible to Assembly - Create views and then disassemble Revit elements and still keep the Revit assembly views through dynamo?

Very good. The catch is to deselect the curtain grid. I never figured it. Thank you!